
Core - Bug # 47774

Status: Resolved Priority: Should have
Author: d.ros no-lastname-given Category: Install Tool
Created: 2013-05-01 Assigned To:
Updated: 2013-06-23 Due date:
TYPO3 Version: 6.1
PHP Version: 5.4
Complexity:
Is Regression:
Sprint Focus:
Subject: Installtool System environment -> false negative on mail
Description

Mail program not found or not executable
sendmail_path = /usr/sbin/sendmail -t -i This may be critical to TYPO3's use of the mail() function. Please be sure that the
mail() function in your php-installation works. If installation is completed, the mail system can be tested in the install tool.

sendmail and mail are present on cli.

cheers David

Related issues:
duplicates Core - Task # 49357: Remove Environment Check checkMailCapabilities Resolved 2013-06-23
duplicated by Core - Bug # 48031: Installtool mail configuration without send... Closed 2013-05-07

History
#1 - 2013-05-01 01:26 - d.ros no-lastname-given

BTW: Testmail sending from installtool works.

#2 - 2013-05-08 14:09 - Michael Voehringer

Same on my system, but i think its an problem with the "open_basedir" setting, which prevents to open /usr/sbin/sendmail. Sending mail still works.

Is there an option to disable this test?

#3 - 2013-05-17 21:01 - Bernhard Eckl

Same on my system (Debian Squeeze with Plesk 11 and Postfix).

#4 - 2013-05-27 09:50 - Jan Loderhose

[Mon May 27 09:39:20 2013] [error] [client xxx] PHP Warning:  is_executable(): open_basedir restriction in effect.

One should consider to dump this check.
#5 - 2013-06-23 14:41 - Christian Kuhn
- Status changed from New to Resolved

The test will be removed from SystemEnvironment with #49357 ... closing this issue here as duplicate.
